#!/usr/bin/ruby
# -*- coding: utf-8 -*-

#------ 食事


require 'uri'
require 'net/http'

Net::HTTP.version_1_2

HOST = "localhost"
PORT = "8000"
USER = "ormaster"
PASSWD = "ormaster"
CONTENT_TYPE = "application/xml"

req = Net::HTTP::Post.new("/orca31/hsacctmodv2")
BODY = <<EOF
<data>
	<private_objects type="record">
		<Request_Number type="string">4</Request_Number>
		<Patient_ID type="string">1</Patient_ID>
		<Admission_Date type="string">2014-05-01</Admission_Date>
		<Perform_Date type="string">2014-05-01</Perform_Date>
		<Meal_Information type="array">
			<Meal_Information_child type="record">
				<Meal_Time type="string">01</Meal_Time>
				<Meal_Type type="string">0</Meal_Type>
			</Meal_Information_child>
			<Meal_Information_child type="record">
				<Meal_Time type="string">02</Meal_Time>
				<Meal_Type type="string">1</Meal_Type>
			</Meal_Information_child>
			<Meal_Information_child type="record">
				<Meal_Time type="string">03</Meal_Time>
				<Meal_Type type="string">2</Meal_Type>
			</Meal_Information_child>
		</Meal_Information>
	</private_objects>
</data>
EOF

req.content_length = BODY.size
req.content_type = CONTENT_TYPE
req.body = BODY
req.basic_auth(USER, PASSWD)
  puts req.body

Net::HTTP.start(HOST, PORT) {|http|
  res = http.request(req)
  puts res.body
}

